#!/bin/bash

# shellcheck disable=SC1091

set -o errexit
set -o nounset
set -o pipefail
# set -o xtrace # Uncomment this line for debugging purpose

# Load libraries
. /opt/nsxi/scripts/liblog.sh
. /opt/nsxi/scripts/libkafka.sh

# Load Kafka environment variables
eval "$(kafka_env)"

if [ -x "/opt/nsxi/scripts/run.sh" ]; then
    info "** Starting Kafka setup **"
    /opt/nsxi/scripts/setup.sh
    info "** Kafka setup finished! **"
fi

echo ""
exec "$@"
